This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 590725 - [abrt] crash in publican-1.6.2-0.fc12: Process /usr/bin/perl was killed by signal 11 (SIGSEGV)
[abrt] crash in publican-1.6.2-0.fc12: Process /usr/bin/perl was killed by si...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
abrt_hash:66ff2e665c137f4cad4edfc549e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 10:52 EDT by Nathan Thomas
Modified: 2010-11-23 23:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-06 08:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (18.47 KB, text/plain)
2010-05-10 10:52 EDT, Nathan Thomas
no flags Details
Example script being used to call Publican (1.64 KB, text/plain)
2010-05-10 10:56 EDT, Nathan Thomas
no flags Details
Example log file (1.22 KB, text/plain)
2010-05-11 15:44 EDT, Nathan Thomas
no flags Details
publican 1.6.3 backtrace (17.53 KB, text/plain)
2010-05-19 09:59 EDT, Nathan Thomas
no flags Details
publican 1.6.3 example log from crashed build (2.41 KB, text/plain)
2010-05-19 10:00 EDT, Nathan Thomas
no flags Details
Cleaned up script (1.21 KB, application/x-shellscript)
2010-05-31 01:53 EDT, Jeff Fearn
no flags Details

  None (edit)
Description Nathan Thomas 2010-05-10 10:52:50 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: perl /usr/bin/publican build -l ca-ES -f html-single
comment: I was using a modified version of jjmcd's build script to build copies of the readme-live-image guide for docs.fedoraproject.org. The first time I did it, everything worked fine (I had a separate script for each of the formats, and each script ran without problems). The second time I tried to use it, publican kept crashing. User error somewhere probably!
component: publican
executable: /usr/bin/perl
kernel: 2.6.31.5-127.fc12.x86_64
package: publican-1.6.2-0.fc12
rating: 4
reason: Process /usr/bin/perl was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Nathan Thomas 2010-05-10 10:52:52 EDT
Created attachment 412864 [details]
File: backtrace
Comment 2 Nathan Thomas 2010-05-10 10:56:32 EDT
Created attachment 412866 [details]
Example script being used to call Publican
Comment 3 Jeff Fearn 2010-05-10 19:32:10 EDT
Hi Nathan, I've tested this on RHEL and F12 and can't duplicate this crash. Can you attach ca-ES.log from a broken run?

Also if you are running publican 1.6.2 you can add '--nocolours' to avoid having ansi colour codes in the log.
Comment 4 Nathan Thomas 2010-05-11 15:44:15 EDT
Created attachment 413239 [details]
Example log file

Hi,

The old log files were overwritten when I ran the script again, here is an example log from a failed build.

Nathan
Comment 5 Jeff Fearn 2010-05-12 00:45:58 EDT
Hi Nathan, not much help in there either :(

Can you try enabling debug mode and manually building a language that fails?
Comment 6 Nathan Thomas 2010-05-19 09:58:43 EDT
Debug mode was already enabled.

Upgrading to 1.6.3 still results in crashes, but the files build successfully and produce complete log files (see attached examples).
Comment 7 Nathan Thomas 2010-05-19 09:59:36 EDT
Created attachment 415119 [details]
publican 1.6.3 backtrace
Comment 8 Nathan Thomas 2010-05-19 10:00:33 EDT
Created attachment 415121 [details]
publican 1.6.3 example log from crashed build
Comment 9 Jeff Fearn 2010-05-31 00:51:39 EDT
Hi Nathan, the trace is showing a crash in libxslt, I'm not quite sure how it's trying to double free something.

Can you paste the output of:

$ rpm -q libxslt perl-XML-LibXSLT

FWIW I still can't duplicate this crash, nor have I heard of anyone else having it :(
Comment 10 Jeff Fearn 2010-05-31 01:53:12 EDT
Created attachment 418164 [details]
Cleaned up script

Just thought I'd add my take on what the build script should look like.
Comment 11 Nathan Thomas 2010-05-31 14:32:32 EDT
(In reply to comment #9)
> Hi Nathan, the trace is showing a crash in libxslt, I'm not quite sure how it's
> trying to double free something.
> 
> Can you paste the output of:
> 
> $ rpm -q libxslt perl-XML-LibXSLT
> 
> FWIW I still can't duplicate this crash, nor have I heard of anyone else having
> it :(    

Hi Jeff,

Here's the output:

libxslt-1.1.26-1.fc12.x86_64
perl-XML-LibXSLT-1.68-4.fc12.x86_64

I've upgraded to Publican 1.99, but haven't had chance to test it yet (I've packed everything away, moving house in two days!) - I'll let you know when I do, and I'll try your cleaned up script too.

Many thanks!
Nathan
Comment 12 Bug Zapper 2010-11-03 11:11:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Nathan Thomas 2010-11-06 08:52:33 EDT
Hi, I'm no longer experiencing this problem with Publican 2.x.

Cheers
Nathan

Note You need to log in before you can comment on or make changes to this bug.